%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppetlabs-firewall
%global commit e70157ef0692b679470a980d7051c4b73000ed9f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-firewall
Version:        1.8.1
Release:        5%{?alphatag}%{?dist}
Summary:        Manages Firewalls such as iptables
License:        Apache-2.0

URL:            http://github.com/puppetlabs/puppetlabs-firewall

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
#patches_ignore=DROP-IN-RPM
#patches_base=e70157ef0692b679470a980d7051c4b73000ed9f
#
Patch0001: 0001-Update-modulesync_config-51f469d.patch
Patch0002: 0002-maint-Add-node-yaml-file-for-oracle5.patch
Patch0003: 0003-MODULES-3983-Update-parallel_tests-for-ruby-2.0.0.patch
Patch0004: 0004-mocha-version-update-for-test-hanging-issue.patch
Patch0005: 0005-MODULES-3704-Update-gemfile-template-to-be-identical.patch
Patch0006: 0006-Add-wait-to-iptables-commands.patch
Patch0007: 0007-MODULES-3572-Ip6tables-service-is-not-managed-in-the.patch
Patch0008: 0008-Fix-SELinux-support-for-service_name_v6-param.patch
Patch0009: 0009-Change-from-minor-version-bump-to-major-version-bump.patch

BuildArch:      noarch

Requires:       puppet >= 2.7.0

%description
Manages Firewalls such as iptables

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/firewall/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/firewall/



%files
%{_datadir}/openstack-puppet/modules/firewall/


%changelog
* Tue Apr 23 2019 Emilien Macchi <emilien@redhat.com> 1.8.1-5.cc23d56git
- Change from minor version bump to major version bump (rhbz#1701066)
- Fix SELinux support for service_name_v6 param (rhbz#1701066)
- (MODULES-3572) Ip6tables service is not managed in the redhat family. (#641) (rhbz#1701066)

* Wed Dec 19 2018 Alex Schultz <aschultz@redhat.com> 1.8.1-4.1ed2aefgit
- Add --wait to iptables commands (rhbz#1660567)

* Tue Jan 23 2018 Steve Linabery <slinaber@redhat.com> 1.8.1-3.cceb6d4git
- (MODULES-3704) Update gemfile template to be identical
- mocha version update for test hanging issue
- (MODULES-3983) Update parallel_tests for ruby 2.0.0

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 1.8.1-2.e70157egit
- (maint) Add node yaml file for oracle5
- Update modulesync_config [51f469d]

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.8.1-1.e70157e.git
- Newton update 1.8.1 (e70157ef0692b679470a980d7051c4b73000ed9f)


